ABAP Server和ABAP Platform 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1531057 漏洞类型 代码问题
发布时间 2019-03-12 更新时间 2019-03-12
CVE编号 CVE-2019-0271 CNNVD-ID CNNVD-201903-361
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
https://www.securityfocus.com/bid/107355
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201903-361
|漏洞详情
SAP Netweaver是德国思爱普(SAP)公司的一套面向服务的集成化应用平台。该平台主要为SAP应用程序提供开发和运行环境。ABAP是一款运行于NetWeaver中且基于ABAP高级编程语言的应用服务器。 SAP NetWeaver ABAP中的Kernel存在XML外部实体注入漏洞,该漏洞源于程序没有对来自不可信源的xml文件进行充分验证。远程攻击者可利用该漏洞读取任意文件,执行任意命令。以下产品和版本受到影响:SAP NetWeaver ABAP 7.52版本,7.50版本,7.49版本,7.45版本,7.40版本,7.31版本,7.30版本,7.22EXT版本,7.22版本,7.21EXT版本,7.21版本,7.11版本,7.10版本,7.03 Sp4版本,7.02 Sp6版本,7.02版本,7.00版本;Kernel 7.53版本,7.49版本,7.45版本,7.22版本,7.21版本。
|参考资料

来源:wiki.scn.sap.com

链接:https://wiki.scn.sap.com/wiki/pages/viewpage.action?pageId=515408080


来源:launchpad.support.sap.com

链接:https://launchpad.support.sap.com/#/notes/2736825


来源:www.securityfocus.com

链接:http://www.securityfocus.com/bid/107355


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-0271